Subject: Re: [PATCH 1/4] bonding: L2DA mode added

From: Nikolay Aleksandrov <[email-masked]>
Date: Thu, 21 Nov 2013 16:37:59 +0100

On 11/21/2013 04:32 PM, Eric Dumazet wrote:
> On Thu, 2013-11-21 at 16:55 +0200, Anton Nayshtut wrote:
>> This patches introduces L2DA bonding module with all the data structures and
>> interfaces. It's not integrated yet.
> 
> I veto any kind of new bonding mode not using RCU.
> 
> Adding another rwlock in 2013 is simply not an option.
> 
> Thanks
> 
> 
+1
Also,
I haven't read the patch-set closely but based on the description in the first
patch I think you can already get this (or very similar) functionality by using
the slave override option in the bonding. You can match the destination L2
address and override the slave based on that.

Nik